

# run a neo4j database locally

## Using docker

```bash
docker run --rm --name neo4j -p 7687:7687 -p 7474:7474 -d --env NEO4J_AUTH=neo4j/password neo4j:latest
```

To access the neo4j container

```bash
docker exec -it neo4j bin/cypher-shell -u neo4j -p password

```

## Using Neo4j Desktop

Download Neo4j from the [Neo4j Download Page](https://neo4j.com/download/) and follow their instructions. 
Ensure your service is configured to connect to `bolt://localhost:7687` using the username `neo4j` and the password you set in Neo4j Desktop.


# Use the Manual Query Service

The manual query service allows you to run Cypher queries against a Neo4j database and save the results to a json-file.

From the `query-service` directory:

### Command Syntax

```bash
bun run src/manual_mode/manualMode.ts [options]

```
| Option               | Short | Default            | Description                     |
|----------------------|-------|--------------------|---------------------------------|
| `--host <string>`    | `-h`  | `localhost`        | The database host address       |
| `--port <number>`    | `-p`  | `7687`             | The database port               |
| `--username <string>`| `-u`  | `neo4j`            | The database username           |
| `--password <string>`| `-P`  | `password`         | The database password           |
| `--output <string>`  | `-o`  | `output.json`      | Name of the output JSON file    |

